## xjdic 24

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #       X J D I C
 #
 #######################################################################
-# This is the makefile for xjdic/xjdserver/xjdxgen V2.3
+# This is the makefile for xjdic/xjdserver/xjdxgen V2.4
 # 
 # to use this file, you have several options:
 #	make all - does all the binaries
