=== debian/changelog ===
xjdic (24-13) unstable; urgency=medium

  * GCC-15 fix. Closes: #1098147

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 29 Sep 2025 20:31:43 +0200

xjdic (24-12) unstable; urgency=medium

  * Fix the FTBFS with gcc 14. Closes: #1075665

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 21 Aug 2024 22:07:36 +0200

xjdic (24-11.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix missing function declarations. Closes: #1066228

 -- Bastian Germann <bage@debian.org>  Tue, 07 May 2024 16:30:08 +0000

xjdic (24-11.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. Closes: #1007609
  * Drop strlcat copy which is included in glibc now.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk supply a C compiler. Closes: #968422

 -- Bastian Germann <bage@debian.org>  Mon, 02 Oct 2023 12:05:01 +0200

xjdic (24-11) unstable; urgency=medium

  * Thanks to Frederic Briere for all the following patches
  * GCC-10 patch. Closes: #957985
  * patch: May crash on long definitions when looking up plain form verbs. 
    Closes: #853797
  * patch: Does not display spaces in definitions past 80 columns. 
    Closes: #857968
  * patch: Eventually segfaults after EOF. Closes: #857971
  * patch: Removal of obsolete debhelper compat 5 and 6 in bookworm. 
    Closes: #965903

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 10 Aug 2020 12:04:46 +0200

xjdic (24-10) unstable; urgency=medium

  * Fixed buffer overrruns bugs in xjdfrontend.c. Closes: #786844
  * Fixed the 2 Mahyem bugs. Closes: #716509, #716514
    But there are waaaay more bugs left in the code, a complete rewrite of 
    xjdic would be more simple...
  * Fixed the clang compile bugs. Closes: #740227, #748419

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 17 Jun 2015 21:16:03 +0200

xjdic (24-9) unstable; urgency=medium

  * Fixed: Hurd patch broke tty ioctl(). Closes: #673341
  * Fixed: xjdxgen crashes with exit status 139. Closes: #716516
  * Fixed bug in xjdcomm.c. Closes: #716513 #716515
  * hardening with dpkg-buildflags

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 10 Feb 2014 20:44:51 +0100

xjdic (24-8) unstable; urgency=low

  * xjdicconfig man page belongs to section 8. Closes: #512452
  * fixed a FTBFS on hurd-i386. Closes: #670884
  * fixed the "Reply overrun". Closes: #475836

 -- Ludovic Drolez <ldrolez@debian.org>  Tue, 08 May 2012 18:22:22 +0200

xjdic (24-7) unstable; urgency=medium

  * Fixed the FTBFS on GNU/kFreeBSD. Urgency set to medium. Closes: #414208
  * Added xjdrad. Closes: #438831
  * Bad usage of termios constants was breaking xjdic on PowerPC. 
    Closes: #258111
  
 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 12 Mar 2007 18:32:07 +0100

xjdic (24-6) unstable; urgency=low

  * fix for a segfault on ia64. Closes: #325787

 -- Ludovic Drolez <ldrolez@debian.org>  Thu,  1 Sep 2005 10:43:02 +0200

xjdic (24-5) unstable; urgency=low

  * set VMAX to 600 to avoid verb data overflow. Closes: #253995

 -- Ludovic Drolez <ldrolez@debian.org>  Fri,  1 Apr 2005 22:32:45 +0200

xjdic (24-4) unstable; urgency=low

  * Debian watch file added
  * Applied a patch for amd64. Closes: Bug#280315.

 -- Ludovic Drolez <ldrolez@debian.org>  Sat, 13 Nov 2004 22:06:26 +0200

xjdic (24-3) unstable; urgency=low

  * Symlink to GNU license corrected. Closes: #204782.

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 11 Aug 2003 19:56:37 +0200

xjdic (24-2) unstable; urgency=low

  * Only depends on DFSG compliant packages, so now moved in free.
  * The GNU license is now displayed correctly with the '!' key

 -- Ludovic Drolez <ldrolez@debian.org>  Sat, 26 Jul 2003 23:23:27 +0200

xjdic (24-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Drolez <ldrolez@debian.org>  Sun, 22 Jun 2003 23:17:05 +0200

xjdic (23-5) unstable; urgency=low

  * Segfault bug fixed thanks to Jim Breen. Closes: Bug#180836

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 22 May 2003 23:53:12 +0200

xjdic (23-4) unstable; urgency=low

  * New maintainer. Closes: Bug#192688
  * Take into account DEB_BUILD_OPTIONS
  * More dictionaries in /usr/sbin/xjdicconfig. Closes: Bug#141321
  * Exact match option for .xjdicrc. Closes: Bug#152105

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 21 May 2003 15:40:31 +0200

xjdic (23-3) unstable; urgency=low

  * Put edict and kanjidict to depends list. (closes: #88117)

 -- Hayao Nakahara <nakahara@debian.org>  Thu, 27 Dec 2001 04:50:09 +0900

xjdic (23-2) unstable; urgency=low

  * Initial Debian Release.

 -- Hayao Nakahara <nakahara@debian.org>  Tue, 19 Oct 1999 01:18:34 +0900

xjdic (23-1) unstable; urgency=low

  * new upstream source.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Sun, 16 May 1999 16:56:53 +0900

xjdic (22-5) frozen-jp unstable-jp; urgency=low

  * changed the dictionary directory to /var/lib/xjdic.
  * added xjdicconfig.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Thu, 26 Nov 1998 04:53:58 +0900

xjdic (22-4) contrib; urgency=low

  * compiled with libc6.
  * applied some of patches by Katsuya Nagai (katsuya@kcn.or.jp).
  * moved dictionary directory to /usr/share/dict.
  * fixed xjdxgen.c.
  * fixed bugs: JP/134, JP/150.
  * fixed postinst.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Thu, 21 May 1998 00:57:41 +0900

xjdic (22-3) contrib-jp; urgency=low

  * fixed the location of _xjdicrc.expamle.
  * put edict to Depends.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Tue, 22 Apr 1997 21:00:26 +0900

xjdic (22-2) unstable; urgency=low

  * Fixed dependency.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Thu, 30 Jan 1997 15:33:24 +0900

xjdic (22-1) unstable; urgency=low

  * Initial Release.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Sat, 16 Nov 1996 19:49:01 +0900
