=== debian/control ===
Source: xjdic
Section: text
Priority: optional
Maintainer: Ludovic Drolez <ldrolez@debian.org>
Build-Depends: debhelper (>> 13~), libc-dev (>= 2.38)
Standards-Version: 4.5.0

Package: xjdic
Architecture: any
Depends: ${shlibs:Depends}, edict, kanjidic, ${misc:Depends}
Recommends: kterm
Description: Japanese-English dictionary search program
 XJDIC is an  electronic  Japanese-English  dictionary  program  designed  to 
 operate  in  the  X11 window environment.  In particular,  it must run in an 
 "xterm" environment which has Japanese language support such as provided  by 
 "kterm".
