=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

-include /usr/share/dpkg/buildtools.mk
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

# Linking will fail with -fno-common, which is the default since GCC 10
CFLAGS += -fcommon

#export CFLAGS := -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O3
endif

DH_STRIP=dh_strip
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
    DH_STRIP=true
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build-arch: build
build-indep: build

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CC="$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS)"
	#/usr/bin/docbook-to-man debian/test-s.sgml > test-s.1
	cp -f xjdic24.inf xjdic24.txt
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	$(MAKE) realclean
	rm -f xjdic24.txt

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/test-s.
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/test-s
	install -m 755	exjdxgen 	debian/xjdic/usr/bin/exjdxgen
	install -m 755	xjdic_cl 	debian/xjdic/usr/bin/xjdic_cl
	install -m 755	xjdic_sa 	debian/xjdic/usr/bin/xjdic_sa
	ln -sf		xjdic_sa 	debian/xjdic/usr/bin/xjdic
	install -m 755	xjdserver 	debian/xjdic/usr/bin/xjdserver
	install -m 755	xjdxgen 	debian/xjdic/usr/bin/xjdxgen
	install -m 755	xjdrad 		debian/xjdic/usr/bin/xjdrad
	install -m 755	debian/xjdicconfig \
					debian/xjdic/usr/sbin/xjdicconfig
	install -m 644	debian/.xjdicrc.skel 	\
				debian/xjdic/usr/share/doc/xjdic/dot.xjdicrc
	install -m 644	xjdic.1 	debian/xjdic/usr/share/man/man1/xjdic.1
	install -m 644	debian/xjdicconfig.man \
			 	debian/xjdic/usr/share/man/man8/xjdicconfig.8
	install -m 644	kanjstroke 	debian/xjdic/var/lib/xjdic
	install -m 644	radicals.tm 	debian/xjdic/var/lib/xjdic
	install -m 644	radkfile 	debian/xjdic/var/lib/xjdic
	install -m 644	romkana.cnv 	debian/xjdic/var/lib/xjdic
	install -m 644	vconj	 	debian/xjdic/var/lib/xjdic
	ln -sf /usr/share/common-licenses/GPL debian/xjdic/var/lib/xjdic/gnu_licence 

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link 
	$(DH_STRIP)
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
