=== debian/watch ===
version=2
ftp://ftp.cc.monash.edu.au/pub/nihongo/xjdic([\d\.]*)\.tgz	debian uupdate
